Environments
Get an environment
GET
/
v1
/
environments
/
{env_id}
Get an environment
curl --request GET \
--url https://api.veri.studio/v1/environments/{env_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/environments/{env_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/environments/{env_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"latest_version": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": {
"object": "<string>",
"environment_id": "<string>",
"version": 123,
"spec": {
"harness": "<string>",
"model": {
"deployment_id": "<string>",
"base_url": "<string>",
"secret": "<string>"
},
"size": "<string>",
"egress": "<string>",
"allowed_hosts": [
"<string>"
],
"env": {},
"secrets": [
"<string>"
],
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"secret": "<string>"
}
],
"skills": [
{
"name": "<string>",
"version": 123
}
],
"permissions": {
"default": "<string>",
"rules": [
{
"tool": "<string>",
"action": "<string>"
}
]
},
"idle_timeout_s": 123
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"description": "<string>"
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Environment ID
Query Parameters
Return this version instead of the latest.
Response
The environment with its latest (or requested) version
The latest version unless ?version= asked for another.
Show child attributes
Show child attributes
Get an environment
curl --request GET \
--url https://api.veri.studio/v1/environments/{env_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/environments/{env_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/environments/{env_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"id": "<string>",
"name": "<string>",
"latest_version": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"version": {
"object": "<string>",
"environment_id": "<string>",
"version": 123,
"spec": {
"harness": "<string>",
"model": {
"deployment_id": "<string>",
"base_url": "<string>",
"secret": "<string>"
},
"size": "<string>",
"egress": "<string>",
"allowed_hosts": [
"<string>"
],
"env": {},
"secrets": [
"<string>"
],
"mcp_servers": [
{
"name": "<string>",
"url": "<string>",
"secret": "<string>"
}
],
"skills": [
{
"name": "<string>",
"version": 123
}
],
"permissions": {
"default": "<string>",
"rules": [
{
"tool": "<string>",
"action": "<string>"
}
]
},
"idle_timeout_s": 123
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"description": "<string>"
}
